ultimix

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

Functions | Variables
5f7301b96249455d17f29eaca847b2c1.js File Reference

Go to the source code of this file.

## Functions
| if (!ultimix.lang)
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'name_en']) ultimix.lang.Strings[ultimix.lang.Locale][ 'name_en']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'name_jp']) ultimix.lang.Strings[ultimix.lang.Locale][ 'name_jp']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'main_page']) ultimix.lang.Strings[ultimix.lang.Locale][ 'main_page']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_main_admin_page']) ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_main_admin_page']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_user_management']) ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_user_management']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_page_manager']) ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_page_manager']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_package_manager']) ultimix.lang.Strings[ultimix.lang.Locale][ 'menu_package_manager']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'admin_console']) ultimix.lang.Strings[ultimix.lang.Locale][ 'admin_console']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'no_permits']) ultimix.lang.Strings[ultimix.lang.Locale][ 'no_permits']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'an_error_occured']) ultimix.lang.Strings[ultimix.lang.Locale][ 'an_error_occured']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'profile']) ultimix.lang.Strings[ultimix.lang.Locale][ 'profile']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'today_is']) ultimix.lang.Strings[ultimix.lang.Locale][ 'today_is']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'page_was_not_found']) ultimix.lang.Strings[ultimix.lang.Locale][ 'page_was_not_found']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'page_was_generated_in']) ultimix.lang.Strings[ultimix.lang.Locale][ 'page_was_generated_in']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'passes_count']) ultimix.lang.Strings[ultimix.lang.Locale][ 'passes_count']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'nbsp']) ultimix.lang.Strings[ultimix.lang.Locale][ 'nbsp']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'no_text']) ultimix.lang.Strings[ultimix.lang.Locale][ 'no_text']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'save']) ultimix.lang.Strings[ultimix.lang.Locale][ 'save']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'shure_to_delete_all_selected_records']) ultimix.lang.Strings[ultimix.lang.Locale][ 'shure_to_delete_all_selected_records']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'edit']) ultimix.lang.Strings[ultimix.lang.Locale][ 'edit']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'cancel']) ultimix.lang.Strings[ultimix.lang.Locale][ 'cancel']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'create']) ultimix.lang.Strings[ultimix.lang.Locale][ 'create']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'shure_that_you_want_to_do_it']) ultimix.lang.Strings[ultimix.lang.Locale][ 'shure_that_you_want_to_do_it']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Next']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Next']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Back']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Back']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Finish']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Finish']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Cancel']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Cancel']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'step']) ultimix.lang.Strings[ultimix.lang.Locale][ 'step']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'of']) ultimix.lang.Strings[ultimix.lang.Locale][ 'of']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'delete']) ultimix.lang.Strings[ultimix.lang.Locale][ 'delete']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Delete']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Delete']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Help']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Help']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Ignore']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Ignore']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Retry']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Retry']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Abort']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Abort']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'OK']) ultimix.lang.Strings[ultimix.lang.Locale][ 'OK']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'No']) ultimix.lang.Strings[ultimix.lang.Locale][ 'No']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Yes']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Yes']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Question']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Question']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Error']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Error']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Info']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Info']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'wait_please']) ultimix.lang.Strings[ultimix.lang.Locale][ 'wait_please']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'print']) ultimix.lang.Strings[ultimix.lang.Locale][ 'print']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'Print']) ultimix.lang.Strings[ultimix.lang.Locale][ 'Print']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'not_set']) ultimix.lang.Strings[ultimix.lang.Locale][ 'not_set']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'admin_console_short']) ultimix.lang.Strings[ultimix.lang.Locale][ 'admin_console_short']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'main']) ultimix.lang.Strings[ultimix.lang.Locale][ 'main']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'not_defined']) ultimix.lang.Strings[ultimix.lang.Locale][ 'not_defined']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'details']) ultimix.lang.Strings[ultimix.lang.Locale][ 'details']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'grid_waiting_message']) ultimix.lang.Strings[ultimix.lang.Locale][ 'grid_waiting_message']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'view']) ultimix.lang.Strings[ultimix.lang.Locale][ 'view']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'about_us']) ultimix.lang.Strings[ultimix.lang.Locale][ 'about_us']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'contacts']) ultimix.lang.Strings[ultimix.lang.Locale][ 'contacts']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'info']) ultimix.lang.Strings[ultimix.lang.Locale][ 'info']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'forum']) ultimix.lang.Strings[ultimix.lang.Locale][ 'forum']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'photogallery']) ultimix.lang.Strings[ultimix.lang.Locale][ 'photogallery']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'video']) ultimix.lang.Strings[ultimix.lang.Locale][ 'video']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_1']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_1']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_2']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_2']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_3']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_3']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_4']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_4']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_5']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_5']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_6']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_6']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_7']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_7']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_8']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_8']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_9']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_9']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_10']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_10']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_11']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_11']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month_12']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month_12']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'auto_submit_protection']) ultimix.lang.Strings[ultimix.lang.Locale][ 'auto_submit_protection']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'numbers_on_the_image']) ultimix.lang.Strings[ultimix.lang.Locale][ 'numbers_on_the_image']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'send']) ultimix.lang.Strings[ultimix.lang.Locale][ 'send']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'captcha_error']) ultimix.lang.Strings[ultimix.lang.Locale][ 'captcha_error']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'navigation']) ultimix.lang.Strings[ultimix.lang.Locale][ 'navigation']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'advertisement']) ultimix.lang.Strings[ultimix.lang.Locale][ 'advertisement']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'update']) ultimix.lang.Strings[ultimix.lang.Locale][ 'update']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'download']) ultimix.lang.Strings[ultimix.lang.Locale][ 'download']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'report']) ultimix.lang.Strings[ultimix.lang.Locale][ 'report']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'generate']) ultimix.lang.Strings[ultimix.lang.Locale][ 'generate']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'copy']) ultimix.lang.Strings[ultimix.lang.Locale][ 'copy']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'report_is_generating']) ultimix.lang.Strings[ultimix.lang.Locale][ 'report_is_generating']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'at_least_one_record_must_be_selected']) ultimix.lang.Strings[ultimix.lang.Locale][ 'at_least_one_record_must_be_selected']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'total_records_count']) ultimix.lang.Strings[ultimix.lang.Locale][ 'total_records_count']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'more_info']) ultimix.lang.Strings[ultimix.lang.Locale][ 'more_info']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'number_to_words']) ultimix.lang.Strings[ultimix.lang.Locale][ 'number_to_words']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit10']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit10']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit9']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit9'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit8']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit8'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit78']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit78'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit7']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit7'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit6']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit6'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit5']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit5'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit45']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit45'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit4']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit4'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit3']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit3'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit2']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit2'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'digit12']) ultimix.lang.Strings[ultimix.lang.Locale][ 'digit12'] = {}
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'are_you_shure']) ultimix.lang.Strings[ultimix.lang.Locale][ 'are_you_shure']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'user_does_not_exist']) ultimix.lang.Strings[ultimix.lang.Locale][ 'user_does_not_exist']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'all_rights_reserved']) ultimix.lang.Strings[ultimix.lang.Locale][ 'all_rights_reserved']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'slide_panel']) ultimix.lang.Strings[ultimix.lang.Locale][ 'slide_panel']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'close_panel']) ultimix.lang.Strings[ultimix.lang.Locale][ 'close_panel']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'open_panel']) ultimix.lang.Strings[ultimix.lang.Locale][ 'open_panel']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'resize_panel']) ultimix.lang.Strings[ultimix.lang.Locale][ 'resize_panel']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'create_button']) ultimix.lang.Strings[ultimix.lang.Locale][ 'create_button']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'delete_button']) ultimix.lang.Strings[ultimix.lang.Locale][ 'delete_button']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'update_button']) ultimix.lang.Strings[ultimix.lang.Locale][ 'update_button']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'copy_button']) ultimix.lang.Strings[ultimix.lang.Locale][ 'copy_button']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'search_button']) ultimix.lang.Strings[ultimix.lang.Locale][ 'search_button']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'contact_us']) ultimix.lang.Strings[ultimix.lang.Locale][ 'contact_us']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'from']) ultimix.lang.Strings[ultimix.lang.Locale][ 'from']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'to']) ultimix.lang.Strings[ultimix.lang.Locale][ 'to']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'week']) ultimix.lang.Strings[ultimix.lang.Locale][ 'week']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ '2weeks']) ultimix.lang.Strings[ultimix.lang.Locale][ '2weeks']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'month']) ultimix.lang.Strings[ultimix.lang.Locale][ 'month']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ '3months']) ultimix.lang.Strings[ultimix.lang.Locale][ '3months']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'half_year']) ultimix.lang.Strings[ultimix.lang.Locale][ 'half_year']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'year']) ultimix.lang.Strings[ultimix.lang.Locale][ 'year']
| if (typeof(SWFUpload)==="function")
function | FileProgress (file, targetID)
function | fileQueued (file)
function | fileQueueError (file, errorCode, message)
function | fileDialogComplete (numFilesSelected, numFilesQueued)
function | uploadStart (file)
function | uploadProgress (file, bytesLoaded, bytesTotal)
function | uploadSuccess (file, serverData)
function | uploadError (file, errorCode, message)
function | uploadComplete (file)
function | queueComplete (numFilesUploaded)
| if (!ultimix)
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'file_is_too_big']) ultimix.lang.Strings[ultimix.lang.Locale][ 'file_is_too_big']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'cannot_upload_zero_bytes']) ultimix.lang.Strings[ultimix.lang.Locale][ 'cannot_upload_zero_bytes']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'invalid_file_type']) ultimix.lang.Strings[ultimix.lang.Locale][ 'invalid_file_type']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'unhandled_error']) ultimix.lang.Strings[ultimix.lang.Locale][ 'unhandled_error']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'upload_error']) ultimix.lang.Strings[ultimix.lang.Locale][ 'upload_error']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'upload_failed']) ultimix.lang.Strings[ultimix.lang.Locale][ 'upload_failed']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'server_io_error']) ultimix.lang.Strings[ultimix.lang.Locale][ 'server_io_error']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'security_error']) ultimix.lang.Strings[ultimix.lang.Locale][ 'security_error']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'upload_limit']) ultimix.lang.Strings[ultimix.lang.Locale][ 'upload_limit']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'failed_validation']) ultimix.lang.Strings[ultimix.lang.Locale][ 'failed_validation']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'cancelled']) ultimix.lang.Strings[ultimix.lang.Locale][ 'cancelled']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'stopped']) ultimix.lang.Strings[ultimix.lang.Locale][ 'stopped']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'uploading']) ultimix.lang.Strings[ultimix.lang.Locale][ 'uploading']
| if (!ultimix.lang.Strings[ultimix.lang.Locale][ 'complete']) ultimix.lang.Strings[ultimix.lang.Locale][ 'complete']

## Variables
var | ultimix = {}
ultimix lang | Locale = 'ru'
ultimix lang | Strings = new Object()
ultimix | get_string
ultimix lang что хотите удалить все выбранные | записи
ultimix lang что хотите сделать | это
от & | nbsp
| ботов
| картинке
ultimix lang что хотите выполнить это | действие
function | a
SWFUpload prototype | initSettings
SWFUpload prototype | loadFlash
SWFUpload prototype | getFlashHTML
SWFUpload prototype | getFlashVars
SWFUpload prototype | getMovieElement
SWFUpload prototype | buildParamString
SWFUpload prototype | destroy
SWFUpload prototype | displayDebugInfo
SWFUpload prototype | addSetting
SWFUpload prototype | getSetting
SWFUpload prototype | callFlash
SWFUpload prototype | selectFile
SWFUpload prototype | selectFiles
SWFUpload prototype | startUpload
SWFUpload prototype | cancelUpload
SWFUpload prototype | stopUpload
SWFUpload prototype | getStats
SWFUpload prototype | setStats
SWFUpload prototype | getFile
SWFUpload prototype | addFileParam
SWFUpload prototype | removeFileParam
SWFUpload prototype | setUploadURL
SWFUpload prototype | setPostParams
SWFUpload prototype | addPostParam
SWFUpload prototype | removePostParam
SWFUpload prototype | setFileTypes
SWFUpload prototype | setFileSizeLimit
SWFUpload prototype | setFileUploadLimit
SWFUpload prototype | setFileQueueLimit
SWFUpload prototype | setFilePostName
SWFUpload prototype | setUseQueryString
SWFUpload prototype | setRequeueOnError
SWFUpload prototype | setHTTPSuccess
SWFUpload prototype | setAssumeSuccessTimeout
SWFUpload prototype | setDebugEnabled
SWFUpload prototype | setButtonImageURL
SWFUpload prototype | setButtonDimensions
SWFUpload prototype | setButtonText
SWFUpload prototype | setButtonTextPadding
SWFUpload prototype | setButtonTextStyle
SWFUpload prototype | setButtonDisabled
SWFUpload prototype | setButtonAction
SWFUpload prototype | setButtonCursor
SWFUpload prototype | queueEvent
SWFUpload prototype | executeNextEvent
SWFUpload prototype | unescapeFilePostParams
SWFUpload prototype | testExternalInterface
SWFUpload prototype | flashReady
SWFUpload prototype | cleanUp
SWFUpload prototype | fileDialogStart
SWFUpload prototype | fileQueued
SWFUpload prototype | fileQueueError
SWFUpload prototype | fileDialogComplete
SWFUpload prototype | uploadStart
SWFUpload prototype | returnUploadStart
SWFUpload prototype | uploadProgress
SWFUpload prototype | uploadError
SWFUpload prototype | uploadSuccess
SWFUpload prototype | uploadComplete
SWFUpload prototype | debug
SWFUpload prototype | debugMessage
SWFUpload | Console = {}
SWFUpload Console | writeLine
var | SWFUpload
FileProgress prototype | setTimer
FileProgress prototype | getTimer
FileProgress prototype | reset
FileProgress prototype | setProgress
FileProgress prototype | setComplete
FileProgress prototype | setError
FileProgress prototype | setCancelled
FileProgress prototype | setStatus
FileProgress prototype | toggleCancel
FileProgress prototype | appear
FileProgress prototype | disappear
ultimix file_input | SetSingleUploadedFileInfo
use | strict

## Function Documentation

function fileDialogComplete | ( |  | numFilesSelected,
|  |  | numFilesQueued
| ) |  |

Definition at line 7758 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
try {
if (numFilesSelected > 0) {
document.getElementById(this.customSettings.cancelButtonId).disabled = false;
}
/* I want auto start the upload and I can do that here */
this.startUpload();
} catch (ex) {
this.debug(ex);
}
}

function FileProgress | ( |  | file,
|  |  | targetID
| ) |  |

Definition at line 7504 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
this.fileProgressID = file.id;
this.opacity = 100;
this.height = 0;
this.fileProgressWrapper = document.getElementById(this.fileProgressID);
if (!this.fileProgressWrapper) {
this.fileProgressWrapper = document.createElement("div");
this.fileProgressWrapper.className = "progressWrapper";
this.fileProgressWrapper.id = this.fileProgressID;
this.fileProgressElement = document.createElement("div");
this.fileProgressElement.className = "progressContainer";
var progressCancel = document.createElement("a");
progressCancel.className = "progressCancel";
progressCancel.href = "#";
progressCancel.style.visibility = "hidden";
progressCancel.appendChild(document.createTextNode(" "));
var progressText = document.createElement("div");
progressText.className = "progressName";
progressText.appendChild(document.createTextNode(file.name));
var progressBar = document.createElement("div");
progressBar.className = "progressBarInProgress";
var progressStatus = document.createElement("div");
progressStatus.className = "progressBarStatus";
progressStatus.innerHTML = "&nbsp;";
this.fileProgressElement.appendChild(progressCancel);
this.fileProgressElement.appendChild(progressText);
this.fileProgressElement.appendChild(progressStatus);
this.fileProgressElement.appendChild(progressBar);
this.fileProgressWrapper.appendChild(this.fileProgressElement);
document.getElementById(targetID).appendChild(this.fileProgressWrapper);
} else {
this.fileProgressElement = this.fileProgressWrapper.firstChild;
this.reset();
}
this.height = this.fileProgressWrapper.offsetHeight;
this.setTimer(null);
}

function fileQueued | ( |  | file | ) |

Definition at line 7710 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
try {
var progress = new FileProgress(file, this.customSettings.progressTarget);
progress.setStatus( ultimix.get_string( "pending" ) );
progress.toggleCancel(true, this);
} catch (ex) {
this.debug(ex);
}
}

function fileQueueError | ( |  | file,
|  |  | errorCode,
|  |  | message
| ) |  |

Definition at line 7722 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
try {
if (errorCode === SWFUpload.QUEUE_ERROR.QUEUE_LIMIT_EXCEEDED) {
alert("You have attempted to queue too many files.\n" + (message === 0 ? "You have reached the upload limit." : "You may select " + (message > 1 ? "up to " + message + " files." : "one file.")));
return;
}
var progress = new FileProgress(file, this.customSettings.progressTarget);
progress.setError();
progress.toggleCancel(false);
switch (errorCode) {
case SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT:
progress.setStatus( ultimix.get_string( "file_is_too_big" ));
this.debug("Error Code: File too big, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
progress.setStatus( ultimix.get_string( "cannot_upload_zero_bytes" ) );
this.debug("Error Code: Zero byte file, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
case SWFUpload.QUEUE_ERROR.INVALID_FILETYPE:
progress.setStatus( ultimix.get_string( "invalid_file_type" ) );
this.debug("Error Code: Invalid File Type, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
default:
if (file !== null) {
progress.setStatus( ultimix.get_string( "unhandled_error" ) );
}
this.debug("Error Code: " + errorCode + ", File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
}
} catch (ex) {
this.debug(ex);
}
}

if | ( | !ultimix. | file_input | ) |

Local namespace.

Author
  Dodonov A.A.

Definition at line 8 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
ultimix.lang = {};
}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'name_en'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'name_jp'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'main_page'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'menu_main_admin_page'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'menu_user_management'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'menu_page_manager'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'menu_package_manager'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'admin_console'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'no_permits'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'an_error_occured'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'profile'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'today_is'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'page_was_not_found'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'page_was_generated_in'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'passes_count'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'nbsp'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'no_text'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'save'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'shure_to_delete_all_selected_records'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'edit'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'cancel'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'create'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'shure_that_you_want_to_do_it'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Next'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Back'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Finish'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Cancel'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'step'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'of'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'delete'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Delete'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Help'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Ignore'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Retry'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Abort'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'OK'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'No'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Yes'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Question'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Error'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Info'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'wait_please'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'print'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'Print'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'not_set'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'admin_console_short'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'main'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'not_defined'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'details'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'grid_waiting_message'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'view'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'about_us'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'contacts'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'info'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'forum'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'photogallery'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'video'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_1'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_2'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_3'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_4'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_5'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_6'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_7'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_8'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_9'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_10'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_11'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month_12'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'auto_submit_protection'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'numbers_on_the_image'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'send'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'captcha_error'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'navigation'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'advertisement'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'update'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'download'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'report'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'generate'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'copy'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'report_is_generating'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'at_least_one_record_must_be_selected'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'total_records_count'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'more_info'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'number_to_words'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit10'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit9'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit8'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit78'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit7'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit6'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit5'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit45'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit4'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit3'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit2'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'digit12'] | ) | = {}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'are_you_shure'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'user_does_not_exist'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'all_rights_reserved'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'slide_panel'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'close_panel'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'open_panel'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'resize_panel'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'create_button'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'delete_button'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'update_button'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'copy_button'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'search_button'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'contact_us'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'from'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'to'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'week'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ '2weeks'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'month'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ '3months'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'half_year'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'year'] | ) |

if | ( |  | typeof(SWFUpload) = `== "function"` | ) |

Definition at line 7009 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
SWFUpload.prototype.initSettings = function (oldInitSettings) {
return function () {
if (typeof(oldInitSettings) === "function") {
oldInitSettings.call(this);
}
this.refreshCookies(false); // The false parameter must be sent since SWFUpload has not initialzed at this point
};
}(SWFUpload.prototype.initSettings);
// refreshes the post_params and updates SWFUpload. The sendToFlash parameters is optional and defaults to True
SWFUpload.prototype.refreshCookies = function (sendToFlash) {
if (sendToFlash === undefined) {
sendToFlash = true;
}
sendToFlash = !!sendToFlash;
// Get the post_params object
var postParams = this.settings.post_params;
// Get the cookies
var i, cookieArray = document.cookie.split(';'), caLength = cookieArray.length, c, eqIndex, name, value;
for (i = 0; i < caLength; i++) {
c = cookieArray[i];
// Left Trim spaces
while (c.charAt(0) === " ") {
c = c.substring(1, c.length);
}
eqIndex = c.indexOf("=");
if (eqIndex > 0) {
name = c.substring(0, eqIndex);
value = c.substring(eqIndex + 1);
postParams[name] = value;
}
}
if (sendToFlash) {
this.setPostParams(postParams);
}
};
}

if | ( | ! | ultimix | ) |

Global namespace.

Author
  Dodonov A.A.

Definition at line 7880 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
ultimix = {};
}

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'file_is_too_big'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'cannot_upload_zero_bytes'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'invalid_file_type'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'unhandled_error'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'upload_error'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'upload_failed'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'server_io_error'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'security_error'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'upload_limit'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'failed_validation'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'cancelled'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'stopped'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'uploading'] | ) |

if | ( | !ultimix.lang. | Strings[ultimix.lang.Locale][ 'complete'] | ) |

function queueComplete | ( |  | numFilesUploaded | ) |

Definition at line 7870 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
var status = document.getElementById("divStatus");
status.innerHTML = numFilesUploaded + " file" + (numFilesUploaded === 1 ? "" : "s") + " uploaded.";
}

function uploadComplete | ( |  | file | ) |

Definition at line 7863 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
if (this.getStats().files_queued === 0) {
document.getElementById(this.customSettings.cancelButtonId).disabled = true;
}
}

function uploadError | ( |  | file,
|  |  | errorCode,
|  |  | message
| ) |  |

Definition at line 7811 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
try {
var progress = new FileProgress(file, this.customSettings.progressTarget);
progress.setError();
progress.toggleCancel(false);
switch (errorCode) {
case SWFUpload.UPLOAD_ERROR.HTTP_ERROR:
progress.setStatus( ultimix.get_string( "upload_error" ) + message );
this.debug("Error Code: HTTP Error, File name: " + file.name + ", Message: " + message);
break;
case SWFUpload.UPLOAD_ERROR.UPLOAD_FAILED:
progress.setStatus( ultimix.get_string( "upload_failed" ) );
this.debug("Error Code: Upload Failed, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
case SWFUpload.UPLOAD_ERROR.IO_ERROR:
progress.setStatus( ultimix.get_string( "server_io_error" ) ) ;
this.debug("Error Code: IO Error, File name: " + file.name + ", Message: " + message);
break;
case SWFUpload.UPLOAD_ERROR.SECURITY_ERROR:
progress.setStatus( ultimix.get_string( "security_error" ) );
this.debug("Error Code: Security Error, File name: " + file.name + ", Message: " + message);
break;
case SWFUpload.UPLOAD_ERROR.UPLOAD_LIMIT_EXCEEDED:
progress.setStatus( ultimix.get_string( "upload_limit" ) );
this.debug("Error Code: Upload Limit Exceeded, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
case SWFUpload.UPLOAD_ERROR.FILE_VALIDATION_FAILED:
progress.setStatus( ultimix.get_string( "failed_validation" ) );
this.debug("Error Code: File Validation Failed, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
case SWFUpload.UPLOAD_ERROR.FILE_CANCELLED:
/* If there aren't any files left (they were all cancelled) disable the cancel button */
if (this.getStats().files_queued === 0) {
document.getElementById(this.customSettings.cancelButtonId).disabled = true;
}
progress.setStatus( ultimix.get_string( "cancelled" ) );
progress.setCancelled();
break;
case SWFUpload.UPLOAD_ERROR.UPLOAD_STOPPED:
progress.setStatus( ultimix.get_string( "stopped" ) );
break;
default:
progress.setStatus( ultimix.get_string( "unhandled_error" ) + ": " + errorCode);
this.debug("Error Code: " + errorCode + ", File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
break;
}
} catch (ex) {
this.debug(ex);
}
}

function uploadProgress | ( |  | file,
|  |  | bytesLoaded,
|  |  | bytesTotal
| ) |  |

Definition at line 7787 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
try {
var percent = Math.ceil((bytesLoaded / bytesTotal) * 100);
var progress = new FileProgress(file, this.customSettings.progressTarget);
progress.setProgress(percent);
progress.setStatus( ultimix.get_string( 'uploading' ) );
} catch (ex) {
this.debug(ex);
}
}

function uploadStart | ( |  | file | ) |

Definition at line 7771 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
try {
/* I don't want to do any file validation or anything, I'll just update the UI and
return true to indicate that the upload should start.
It's important to update the UI here because in Linux no uploadProgress events are called. The best
we can do is say we are uploading.
*/
var progress = new FileProgress(file, this.customSettings.progressTarget);
progress.setStatus( ultimix.get_string( 'uploading' ) );
progress.toggleCancel(true, this);
}
catch (ex) {}
return true;
}

function uploadSuccess | ( |  | file,
|  |  | serverData
| ) |  |

Definition at line 7799 of file 5f7301b96249455d17f29eaca847b2c1.js.

{
try {
var progress = new FileProgress(file, this.customSettings.progressTarget);
progress.setComplete();
progress.setStatus( ultimix.get_string( 'complete' ) );
progress.toggleCancel(false);
} catch (ex) {
this.debug(ex);
}
}

## Variable Documentation

function a

jQuery v1.7.1 jquery.com | jquery.org/license

Definition at line 545 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype addFileParam

Initial value:
function (fileID, name, value) {
return this.callFlash("AddFileParam", [fileID, name, value]);
}

Definition at line 6561 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype addPostParam

Initial value:
function (name, value) {
this.settings.post_params[name] = value;
this.callFlash("SetPostParams", [this.settings.post_params]);
}

Definition at line 6584 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype addSetting

Initial value:
function (name, value, default_value) {
if (value == undefined) {
return (this.settings[name] = default_value);
} else {
return (this.settings[name] = value);
}
}

Definition at line 6437 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype appear

Initial value:
function () {
if (this.getTimer() !== null) {
clearTimeout(this.getTimer());
this.setTimer(null);
}
if (this.fileProgressWrapper.filters) {
try {
this.fileProgressWrapper.filters.item("DXImageTransform.Microsoft.Alpha").opacity = 100;
} catch (e) {
this.fileProgressWrapper.style.filter = "progid:DXImageTransform.Microsoft.Alpha(opacity=100)";
}
} else {
this.fileProgressWrapper.style.opacity = 1;
}
this.fileProgressWrapper.style.height = "";
this.height = this.fileProgressWrapper.offsetHeight;
this.opacity = 100;
this.fileProgressWrapper.style.display = "";
}

Definition at line 7628 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype buildParamString

Initial value:
function () {
var postParams = this.settings.post_params;
var paramStringPairs = [];
if (typeof(postParams) === "object") {
for (var name in postParams) {
if (postParams.hasOwnProperty(name)) {
paramStringPairs.push(encodeURIComponent(name.toString()) + "=" + encodeURIComponent(postParams[name].toString()));
}
}
}
return paramStringPairs.join("&amp;");
}

Definition at line 6311 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype callFlash

Initial value:
function (functionName, argumentArray) {
argumentArray = argumentArray || [];
var movieElement = this.getMovieElement();
var returnValue, returnString;
try {
returnString = movieElement.CallFunction('<invoke name="' + functionName + '" returntype="javascript">' + __flash__argumentsToXML(argumentArray, 0) + '</invoke>');
returnValue = eval(returnString);
} catch (ex) {
throw "Call to " + functionName + " failed";
}
if (returnValue != undefined && typeof returnValue.post === "object") {
returnValue = this.unescapeFilePostParams(returnValue);
}
return returnValue;
}

Definition at line 6459 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype cancelUpload

Initial value:
function (fileID, triggerErrorEvent) {
if (triggerErrorEvent !== false) {
triggerErrorEvent = true;
}
this.callFlash("CancelUpload", [fileID, triggerErrorEvent]);
}

Definition at line 6514 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype cleanUp

Definition at line 6820 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload Console = {}

Definition at line 6969 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype debug

Initial value:
function (message) {
this.queueEvent("debug_handler", message);
}

Definition at line 6927 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype debugMessage

Initial value:
function (message) {
if (this.settings.debug) {
var exceptionMessage, exceptionValues = [];
if (typeof message === "object" && typeof message.name === "string" && typeof message.message === "string") {
for (var key in message) {
if (message.hasOwnProperty(key)) {
exceptionValues.push(key + ": " + message[key]);
}
}
exceptionMessage = exceptionValues.join("\n") || "";
exceptionValues = exceptionMessage.split("\n");
exceptionMessage = "EXCEPTION: " + exceptionValues.join("\nEXCEPTION: ");
SWFUpload.Console.writeLine(exceptionMessage);
} else {
SWFUpload.Console.writeLine(message);
}
}
}

Definition at line 6948 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype destroy

Definition at line 6330 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype disappear

Definition at line 7654 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype displayDebugInfo

Definition at line 6381 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype executeNextEvent

Initial value:
function () {
var f = this.eventQueue ? this.eventQueue.shift() : null;
if (typeof(f) === "function") {
f.apply(this);
}
}

Definition at line 6758 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype fileDialogComplete

Initial value:
function (numFilesSelected, numFilesQueued, numFilesInQueue) {
this.queueEvent("file_dialog_complete_handler", [numFilesSelected, numFilesQueued, numFilesInQueue]);
}

Definition at line 6874 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype fileDialogStart

Initial value:
function () {
this.queueEvent("file_dialog_start_handler");
}

Definition at line 6854 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype fileQueued

Initial value:
function (file) {
file = this.unescapeFilePostParams(file);
this.queueEvent("file_queued_handler", file);
}

Definition at line 6860 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype fileQueueError

Initial value:
function (file, errorCode, message) {
file = this.unescapeFilePostParams(file);
this.queueEvent("file_queue_error_handler", [file, errorCode, message]);
}

Definition at line 6867 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype flashReady

Initial value:
function () {
var movieElement = this.getMovieElement();
if (!movieElement) {
this.debug("Flash called back ready but the flash movie can't be found.");
return;
}
this.cleanUp(movieElement);
this.queueEvent("swfupload_loaded_handler");
}

Definition at line 6804 of file 5f7301b96249455d17f29eaca847b2c1.js.

ultimix get_string

Function returns the translated literal for the StringAlias.

Parameters

  StringAlias | - Literal to translate.
  Default | - Default literal.
  Value | - Literal selection value.

Returns
  The translated literal.

Author
  Dodonov A.A.

Definition at line 47 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype getFile

Initial value:
function (fileID) {
if (typeof(fileID) === "number") {
return this.callFlash("GetFileByIndex", [fileID]);
} else {
return this.callFlash("GetFile", [fileID]);
}
}

Definition at line 6550 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype getFlashHTML

Initial value:
function () {
return ['<object id="', this.movieName, '" type="application/x-shockwave-flash" data="', this.settings.flash_url, '" width="', this.settings.button_width, '" height="', this.settings.button_height, '" class="swfupload">',
'<param name="wmode" value="', this.settings.button_window_mode, '" />',
'<param name="movie" value="', this.settings.flash_url, '" />',
'<param name="quality" value="high" />',
'<param name="menu" value="false" />',
'<param name="allowScriptAccess" value="always" />',
'<param name="flashvars" value="' + this.getFlashVars() + '" />',
'</object>'].join("");
}

Definition at line 6248 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype getFlashVars

Definition at line 6262 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype getMovieElement

Initial value:
function () {
if (this.movieElement == undefined) {
this.movieElement = document.getElementById(this.movieName);
}
if (this.movieElement === null) {
throw "Could not find Flash element";
}
return this.movieElement;
}

Definition at line 6297 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype getSetting

Initial value:
function (name) {
if (this.settings[name] != undefined) {
return this.settings[name];
}
return "";
}

Definition at line 6446 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype getStats

Initial value:
function () {
return this.callFlash("GetStats");
}

Definition at line 6536 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype getTimer

Initial value:
function (timer) {
return this.fileProgressElement["FP_TIMER"] || null;
}

Definition at line 7559 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype initSettings

Definition at line 6139 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype loadFlash

Initial value:
function () {
var targetElement, tempParent;
if (document.getElementById(this.movieName) !== null) {
throw "ID " + this.movieName + " is already in use. The Flash Object could not be added";
}
targetElement = document.getElementById(this.settings.button_placeholder_id) || this.settings.button_placeholder;
if (targetElement == undefined) {
throw "Could not find the placeholder element: " + this.settings.button_placeholder_id;
}
tempParent = document.createElement("div");
tempParent.innerHTML = this.getFlashHTML();
targetElement.parentNode.replaceChild(tempParent.firstChild, targetElement);
if (window[this.movieName] == undefined) {
window[this.movieName] = this.getMovieElement();
}
}

Definition at line 6220 of file 5f7301b96249455d17f29eaca847b2c1.js.

ultimix lang Locale = 'ru'

Current locale.

Author
  Dodonov A.A.

Definition at line 18 of file 5f7301b96249455d17f29eaca847b2c1.js.

на& nbsp

Definition at line 224 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype queueEvent

Initial value:
function (handlerName, argumentArray) {
if (argumentArray == undefined) {
argumentArray = [];
} else if (!(argumentArray instanceof Array)) {
argumentArray = [argumentArray];
}
var self = this;
if (typeof this.settings[handlerName] === "function") {
this.eventQueue.push(function () {
this.settings[handlerName].apply(this, argumentArray);
});
setTimeout(function () {
self.executeNextEvent();
}, 0);
} else if (this.settings[handlerName] !== null) {
throw "Event handler " + handlerName + " is unknown or is not a function";
}
}

Definition at line 6730 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype removeFileParam

Initial value:
function (fileID, name) {
this.callFlash("RemoveFileParam", [fileID, name]);
}

Definition at line 6567 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype removePostParam

Initial value:
function (name) {
delete this.settings.post_params[name];
this.callFlash("SetPostParams", [this.settings.post_params]);
}

Definition at line 6590 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype reset

Initial value:
function () {
this.fileProgressElement.className = "progressContainer";
this.fileProgressElement.childNodes[2].innerHTML = "&nbsp;";
this.fileProgressElement.childNodes[2].className = "progressBarStatus";
this.fileProgressElement.childNodes[3].className = "progressBarInProgress";
this.fileProgressElement.childNodes[3].style.width = "0%";
this.appear();
}

Definition at line 7563 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype returnUploadStart

Initial value:
function (file) {
var returnValue;
if (typeof this.settings.upload_start_handler === "function") {
file = this.unescapeFilePostParams(file);
returnValue = this.settings.upload_start_handler.call(this, file);
} else if (this.settings.upload_start_handler != undefined) {
throw "upload_start_handler must be a function";
}
if (returnValue === undefined) {
returnValue = true;
}
returnValue = !!returnValue;
this.callFlash("ReturnUploadStart", [returnValue]);
}

Definition at line 6883 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype selectFile

Initial value:
function () {
this.callFlash("SelectFile");
}

Definition at line 6490 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype selectFiles

Initial value:
function () {
this.callFlash("SelectFiles");
}

Definition at line 6500 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setAssumeSuccessTimeout

Initial value:
function (timeout_seconds) {
this.settings.assume_success_timeout = timeout_seconds;
this.callFlash("SetAssumeSuccessTimeout", [timeout_seconds]);
}

Definition at line 6649 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonAction

Initial value:
function (buttonAction) {
this.settings.button_action = buttonAction;
this.callFlash("SetButtonAction", [buttonAction]);
}

Definition at line 6706 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonCursor

Initial value:
function (cursor) {
this.settings.button_cursor = cursor;
this.callFlash("SetButtonCursor", [cursor]);
}

Definition at line 6712 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonDimensions

Initial value:
function (width, height) {
this.settings.button_width = width;
this.settings.button_height = height;
var movie = this.getMovieElement();
if (movie != undefined) {
movie.style.width = width + "px";
movie.style.height = height + "px";
}
this.callFlash("SetButtonDimensions", [width, height]);
}

Definition at line 6671 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonDisabled

Initial value:
function (isDisabled) {
this.settings.button_disabled = isDisabled;
this.callFlash("SetButtonDisabled", [isDisabled]);
}

Definition at line 6701 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonImageURL

Initial value:
function (buttonImageURL) {
if (buttonImageURL == undefined) {
buttonImageURL = "";
}
this.settings.button_image_url = buttonImageURL;
this.callFlash("SetButtonImageURL", [buttonImageURL]);
}

Definition at line 6661 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonText

Initial value:
function (html) {
this.settings.button_text = html;
this.callFlash("SetButtonText", [html]);
}

Definition at line 6684 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonTextPadding

Initial value:
function (left, top) {
this.settings.button_text_top_padding = top;
this.settings.button_text_left_padding = left;
this.callFlash("SetButtonTextPadding", [left, top]);
}

Definition at line 6689 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setButtonTextStyle

Initial value:
function (css) {
this.settings.button_text_style = css;
this.callFlash("SetButtonTextStyle", [css]);
}

Definition at line 6696 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype setCancelled

Initial value:
function () {
this.fileProgressElement.className = "progressContainer";
this.fileProgressElement.childNodes[3].className = "progressBarError";
this.fileProgressElement.childNodes[3].style.width = "";
var oSelf = this;
this.setTimer(setTimeout(function () {
oSelf.disappear();
}, 2000));
}

Definition at line 7602 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype setComplete

Initial value:
function () {
this.fileProgressElement.className = "progressContainer blue";
this.fileProgressElement.childNodes[3].className = "progressBarComplete";
this.fileProgressElement.childNodes[3].style.width = "";
var oSelf = this;
this.setTimer(setTimeout(function () {
oSelf.disappear();
}, 10000));
}

Definition at line 7582 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setDebugEnabled

Initial value:
function (debugEnabled) {
this.settings.debug_enabled = debugEnabled;
this.callFlash("SetDebugEnabled", [debugEnabled]);
}

Definition at line 6655 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype setError

Initial value:
function () {
this.fileProgressElement.className = "progressContainer red";
this.fileProgressElement.childNodes[3].className = "progressBarError";
this.fileProgressElement.childNodes[3].style.width = "";
var oSelf = this;
this.setTimer(setTimeout(function () {
oSelf.disappear();
}, 5000));
}

Definition at line 7592 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setFilePostName

Initial value:
function (filePostName) {
this.settings.file_post_name = filePostName;
this.callFlash("SetFilePostName", [filePostName]);
}

Definition at line 6621 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setFileQueueLimit

Initial value:
function (fileQueueLimit) {
this.settings.file_queue_limit = fileQueueLimit;
this.callFlash("SetFileQueueLimit", [fileQueueLimit]);
}

Definition at line 6615 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setFileSizeLimit

Initial value:
function (fileSizeLimit) {
this.settings.file_size_limit = fileSizeLimit;
this.callFlash("SetFileSizeLimit", [fileSizeLimit]);
}

Definition at line 6603 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setFileTypes

Initial value:
function (types, description) {
this.settings.file_types = types;
this.settings.file_types_description = description;
this.callFlash("SetFileTypes", [types, description]);
}

Definition at line 6596 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setFileUploadLimit

Initial value:
function (fileUploadLimit) {
this.settings.file_upload_limit = fileUploadLimit;
this.callFlash("SetFileUploadLimit", [fileUploadLimit]);
}

Definition at line 6609 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setHTTPSuccess

Initial value:
function (http_status_codes) {
if (typeof http_status_codes === "string") {
http_status_codes = http_status_codes.replace(" ", "").split(",");
}
this.settings.http_success = http_status_codes;
this.callFlash("SetHTTPSuccess", [http_status_codes]);
}

Definition at line 6639 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setPostParams

Initial value:
function (paramsObject) {
this.settings.post_params = paramsObject;
this.callFlash("SetPostParams", [paramsObject]);
}

Definition at line 6578 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype setProgress

Initial value:
function (percentage) {
this.fileProgressElement.className = "progressContainer green";
this.fileProgressElement.childNodes[3].className = "progressBarInProgress";
this.fileProgressElement.childNodes[3].style.width = percentage + "%";
this.appear();
}

Definition at line 7575 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setRequeueOnError

Initial value:
function (requeueOnError) {
this.settings.requeue_on_error = requeueOnError;
this.callFlash("SetRequeueOnError", [requeueOnError]);
}

Definition at line 6633 of file 5f7301b96249455d17f29eaca847b2c1.js.

ultimix file_input SetSingleUploadedFileInfo

Function updates control after upload.

Parameters

  ServerDataObject | - Uploaded file description object.
  ControlSettings | - Upload file control settings.

Author
  Dodonov A.A.

Definition at line 7904 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setStats

Initial value:
function (statsObject) {
this.callFlash("SetStats", [statsObject]);
}

Definition at line 6544 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype setStatus

Initial value:
function (status) {
this.fileProgressElement.childNodes[2].innerHTML = status;
}

Definition at line 7612 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype setTimer

Initial value:
function (timer) {
this.fileProgressElement["FP_TIMER"] = timer;
}

Definition at line 7556 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setUploadURL

Initial value:
function (url) {
this.settings.upload_url = url.toString();
this.callFlash("SetUploadURL", [url]);
}

Definition at line 6572 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype setUseQueryString

Initial value:
function (useQueryString) {
this.settings.use_query_string = useQueryString;
this.callFlash("SetUseQueryString", [useQueryString]);
}

Definition at line 6627 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype startUpload

Initial value:
function (fileID) {
this.callFlash("StartUpload", [fileID]);
}

Definition at line 6507 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype stopUpload

Initial value:
function () {
this.callFlash("StopUpload");
}

Definition at line 6523 of file 5f7301b96249455d17f29eaca847b2c1.js.

use strict

Definition at line 7995 of file 5f7301b96249455d17f29eaca847b2c1.js.

ultimix lang Strings[ultimix.lang.Locale][ 'complete'][ 'default'] = new Object()

List of the translations.

Author
  Dodonov A.A.

List of the translated strings.

Author
  Dodonov A.A.

Definition at line 25 of file 5f7301b96249455d17f29eaca847b2c1.js.

var SWFUpload

Definition at line 7008 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype testExternalInterface

Initial value:
function () {
try {
return this.callFlash("TestExternalInterface");
} catch (ex) {
return false;
}
}

Definition at line 6794 of file 5f7301b96249455d17f29eaca847b2c1.js.

FileProgress prototype toggleCancel

Initial value:
function (show, swfUploadInstance) {
this.fileProgressElement.childNodes[0].style.visibility = show ? "visible" : "hidden";
if (swfUploadInstance) {
var fileID = this.fileProgressID;
this.fileProgressElement.childNodes[0].onclick = function () {
swfUploadInstance.cancelUpload(fileID);
return false;
};
}
}

Definition at line 7617 of file 5f7301b96249455d17f29eaca847b2c1.js.

var ultimix = {}

Definition at line 1 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype unescapeFilePostParams

Initial value:
function (file) {
var reg = /[$]([0-9a-f]{4})/i;
var unescapedPost = {};
var uk;
if (file != undefined) {
for (var k in file.post) {
if (file.post.hasOwnProperty(k)) {
uk = k;
var match;
while ((match = reg.exec(uk)) !== null) {
uk = uk.replace(match[0], String.fromCharCode(parseInt("0x" + match[1], 16)));
}
unescapedPost[uk] = file.post[k];
}
}
file.post = unescapedPost;
}
return file;
}

Definition at line 6770 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype uploadComplete

Initial value:
function (file) {
file = this.unescapeFilePostParams(file);
this.queueEvent("upload_complete_handler", file);
}

Definition at line 6920 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype uploadError

Initial value:
function (file, errorCode, message) {
file = this.unescapeFilePostParams(file);
this.queueEvent("upload_error_handler", [file, errorCode, message]);
}

Definition at line 6910 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype uploadProgress

Initial value:
function (file, bytesComplete, bytesTotal) {
file = this.unescapeFilePostParams(file);
this.queueEvent("upload_progress_handler", [file, bytesComplete, bytesTotal]);
}

Definition at line 6905 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype uploadStart

Initial value:
function (file) {
file = this.unescapeFilePostParams(file);
this.queueEvent("return_upload_start_handler", file);
}

Definition at line 6878 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload prototype uploadSuccess

Initial value:
function (file, serverData, responseReceived) {
file = this.unescapeFilePostParams(file);
this.queueEvent("upload_success_handler", [file, serverData, responseReceived]);
}

Definition at line 6915 of file 5f7301b96249455d17f29eaca847b2c1.js.

SWFUpload Console writeLine

Initial value:
function (message) {
var console, documentForm;
try {
console = document.getElementById("SWFUpload_Console");
if (!console) {
documentForm = document.createElement("form");
document.getElementsByTagName("body")[0].appendChild(documentForm);
console = document.createElement("textarea");
console.id = "SWFUpload_Console";
console.style.fontFamily = "monospace";
console.setAttribute("wrap", "off");
console.wrap = "off";
console.style.overflow = "auto";
console.style.width = "700px";
console.style.height = "350px";
console.style.margin = "5px";
documentForm.appendChild(console);
}
console.value += message + "\n";
console.scrollTop = console.scrollHeight - console.clientHeight;
} catch (ex) {
alert("Exception: " + ex.name + " Message: " + ex.message);
}
}

Definition at line 6970 of file 5f7301b96249455d17f29eaca847b2c1.js.

ботов

Definition at line 224 of file 5f7301b96249455d17f29eaca847b2c1.js.

ultimix lang что хотите выполнить это действие

Definition at line 502 of file 5f7301b96249455d17f29eaca847b2c1.js.

ultimix lang что хотите удалить все выбранные записи

Definition at line 120 of file 5f7301b96249455d17f29eaca847b2c1.js.

картинке

Definition at line 226 of file 5f7301b96249455d17f29eaca847b2c1.js.

ultimix lang что хотите сделать это

Definition at line 128 of file 5f7301b96249455d17f29eaca847b2c1.js.